> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Update invoice PO number

PUT https://integrators.prod.api.tabsplatform.com/v3/customers/{id}/invoices/{invoiceId}/po
Content-Type: application/json

Reference: https://docs.tabs.com/api-reference/customers/updateInvoicePO

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/customers/{id}/invoices/{invoiceId}/po:
    put:
      operationId: integrators-api-customers-controller-update-invoice-po
      summary: Update invoice PO number
      tags:
        - customers
      parameters:
        - name: id
          in: path
          description: Customer ID
          required: true
          schema:
            type: string
            format: uuid
        - name: invoiceId
          in: path
          description: Invoice ID
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Updated PO number
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Customers_IntegratorsApiCustomersController_updateInvoicePO_Response_200
        '404':
          description: Customer not found or invoice not found
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateInvoicePODto'
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    UpdateInvoicePODto:
      type: object
      properties:
        poNumber:
          type: string
          description: Purchase Order number for the invoice
      required:
        - poNumber
      title: UpdateInvoicePODto
    V3CustomersIdInvoicesInvoiceIdPoPutResponsesContentApplicationJsonSchemaPayload:
      type: object
      properties: {}
      description: Response payload, will be empty when success is false
      title: >-
        V3CustomersIdInvoicesInvoiceIdPoPutResponsesContentApplicationJsonSchemaPayload
    IntegratorsApiErrorDetails:
      type: object
      properties: {}
      description: Additional details about the error
      title: IntegratorsApiErrorDetails
    IntegratorsApiError:
      type: object
      properties:
        code:
          type: number
          format: double
          description: API response code
        message:
          type: string
          description: API response message
        details:
          $ref: '#/components/schemas/IntegratorsApiErrorDetails'
          description: Additional details about the error
      required:
        - code
        - message
      title: IntegratorsApiError
    Customers_IntegratorsApiCustomersController_updateInvoicePO_Response_200:
      type: object
      properties:
        payload:
          $ref: >-
            #/components/schemas/V3CustomersIdInvoicesInvoiceIdPoPutResponsesContentApplicationJsonSchemaPayload
          description: Response payload, will be empty when success is false
        success:
          type: boolean
          description: Boolean with true=success, false=failure
        message:
          type: string
          description: Plain-text description of the result
        error:
          $ref: '#/components/schemas/IntegratorsApiError'
          description: json element with any error messages or warnings
      required:
        - payload
        - success
        - message
        - error
      title: Customers_IntegratorsApiCustomersController_updateInvoicePO_Response_200
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Request**

```json
{
  "poNumber": "PO-987654321"
}
```

**Response**

```json
{
  "payload": {
    "invoiceId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "customerId": "9a7b3c2d-4e5f-6789-abcd-ef0123456789",
    "manufacturerId": "3c4d5e6f-7a8b-9c0d-ef12-3456789abcde",
    "purchaseOrder": {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "value": "PO-987654321"
    }
  },
  "success": true,
  "message": "Purchase order number updated successfully.",
  "error": {
    "code": 0,
    "message": "",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/po"

payload = { "poNumber": "PO-987654321" }
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/po';
const options = {
  method: 'PUT',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"poNumber":"PO-987654321"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/po"

	payload := strings.NewReader("{\n  \"poNumber\": \"PO-987654321\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/po")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"poNumber\": \"PO-987654321\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/po")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"poNumber\": \"PO-987654321\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/po', [
  'body' => '{
  "poNumber": "PO-987654321"
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/po");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"poNumber\": \"PO-987654321\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["poNumber": "PO-987654321"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/po")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```